<form autocomplete='off' data-actor-link='{{linkedId}}'>
	<h3 class='col-span-4'>{{localize 'Koboldworks.CompanionLink.LinkedMaster'}}</h3>

	{{!-- Actor select dropdown --}}
	<label for='actor' class='col-span-2'>{{localize 'Koboldworks.CompanionLink.SelectActor'}}</label>
	{{#unless isGM}}
	<select name='actor' class='companion-link-select col-span-2'>
		{{selectOptions validActorChoices selected=linkedId}}
	</select>
	{{else}}
	<label class='col-span-2'>{{localize 'Koboldworks.CompanionLink.GMCanOnlyDrop'}}</label>
	{{/unless}}

	{{!-- LINKED NAME display --}}
	<img class='companion-link-img row-span-2' src='{{linkedImg}}' title='{{localize 'Koboldworks.CompanionLink.OpenSheet'}}'></img>
		<label>{{localize 'Koboldworks.CompanionLink.Name'}}</label>
		<input type='text' readonly class='companion-link-name' data-dtype='String' value='{{linked.name}}'></input>
	<span class='companion-unlink row-span-2' title='{{localize 'Koboldworks.CompanionLink.Unlink'}}'><i class='fas fa-unlink'></i></span>

	{{!-- LINKED ID display --}}
	<label>{{localize 'Koboldworks.CompanionLink.Id'}}</label>
	<input type='text' readonly class='companion-link-id' data-dtype='String' value='{{linkedId}}'></input>

	{{!-- INSTRUCTIONS --}}
	<div class='col-span-4'>
		<p class='help-text'><i class='fas fa-info-circle'></i> {{{localize 'Koboldworks.CompanionLink.Instructions'}}}</p>
	</div>

	<h3 class='col-span-4'>{{localize 'Koboldworks.CompanionLink.Configuration'}}</h3>

	{{!-- FAMILIAR --}}
	<div class='col-span-4 companion-link-familiar'>
		<input id='companion-link-familiar-{{actor.id}}' type='checkbox' data-dtype='Boolean' name='familiar' {{checked familiar}}  {{disabled (not linked)}}>
		<label for='companion-link-familiar-{{actor.id}}'>{{localize 'Koboldworks.CompanionLink.Familiar'}}</label>
		<p class='hint'>{{localize 'Koboldworks.CompanionLink.FamiliarHint'}}</p>
	</div>
</form>
